Bug 12529 - The location of pkg-config is not configurable
The location of pkg-config is not configurable
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.6.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-19 05:27 UTC by Uri Simchoni
Modified: 2017-02-17 10:47 UTC (History)
2 users (show)

See Also:


Attachments
git-am firx for 4.5.next and 4.6.next (1.44 KB, patch)
2017-02-02 22:45 UTC, Uri Simchoni
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2017-01-19 05:27:13 UTC
Samba relies on pkg-config to configure its integration with some third-party libraries (location of headers, etc.). The waf version bundled with Samba always invokes the system pkg-config executable, whereas upstream waf does allows the default to be overriden.

In cross-compiled builds, it is customary to have a pkg-config program suitable for the build target. Such a pkg-config is typically a wrapper to the system pkg-config, setting environment variables such as PKG_CONFIG_SYSROOT_DIR.

In upstream waf, it is possible to use that dedicated pkg-config by setting the PKGCONFIG environment variable.
Comment 1 Uri Simchoni 2017-02-02 22:45:09 UTC
Created attachment 12901 [details]
git-am firx for 4.5.next and 4.6.next
Comment 2 Jeremy Allison 2017-02-03 16:45:51 UTC
Comment on attachment 12901 [details]
git-am firx for 4.5.next and 4.6.next

LGTM.
Comment 3 Jeremy Allison 2017-02-03 16:46:16 UTC
Reassigning to Karolin for inclusion in 4.4.next, 4.5.next, 4.6.next.
Comment 4 Karolin Seeger 2017-02-13 15:40:04 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 5 Karolin Seeger 2017-02-17 10:47:11 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to all branches.
Closing out bug report.

Thanks!